GNU bug report logs - #40207
[PATCH 0/2] Add a desktop graphical installer test.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mathieu Othacehe <m.othacehe@HIDDEN>; Keywords: patch; Done: Mathieu Othacehe <m.othacehe@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 40207 <at> debbugs.gnu.org and Mathieu Othacehe <m.othacehe@HIDDEN> Request was from Mathieu Othacehe <m.othacehe@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40207 <at> debbugs.gnu.org:


Received: (at 40207) by debbugs.gnu.org; 26 Mar 2020 10:54:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 26 06:54:59 2020
Received: from localhost ([127.0.0.1]:58142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHQA7-0005mt-MP
	for submit <at> debbugs.gnu.org; Thu, 26 Mar 2020 06:54:59 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:37054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jHQA6-0005me-8B
 for 40207 <at> debbugs.gnu.org; Thu, 26 Mar 2020 06:54:58 -0400
Received: by mail-wr1-f66.google.com with SMTP id w10so7188138wrm.4
 for <40207 <at> debbugs.gnu.org>; Thu, 26 Mar 2020 03:54:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version:content-transfer-encoding;
 bh=jUBUkZXhXHA3JeqrI0zo1JTH0g/DmfgbGApJBYM32iw=;
 b=XVC1WCnoVuLHVsR6npW2zPT/CuPaWbso3XZCtxNgbjwIiYVTSInOjue4WdT3O7JgZG
 nHjjpaE8O7X1Sq0FPsa0bXKhiUPS5OwVvvAJI3b9aMgeatLhM1DdWQZsXB46LiMpluUI
 jcCeA9KCR6zfZf6D8pAcO0DaDztmLsKGzs7bxVN0MUG1o/SrsJ569miTh7pY7XXRoOmi
 tsJh/ufLi69ey2LbzUMyh5HkTVIaXDVSYBV1gkL9e8Q1EINzdDWFEJtxFn8XMNEm0bwv
 rOpQu/1NgJfeWj1P93M/Cv2L9960GNRtVWbdN6JZhKIjxxNNhn262O3ggMYMQpLQDKdf
 u/iQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-transfer-encoding;
 bh=jUBUkZXhXHA3JeqrI0zo1JTH0g/DmfgbGApJBYM32iw=;
 b=B/2gUOK5PpKbjdkOdpaTcRJ+vuEFNfgwDZBjOq76Omv9aST+Iw6JhgrcDX7O+vYF6x
 BPgfCxt8BhzCMXrKa7/x7CIdLCWo5xQhbSXvDQG12IM1rfxyzzQL3JS0b/WJlLATbE4J
 bcFCg/tMos6mVCac3lL81QgfImehgWUaAVhPbzXTnWTrGUZfEzeSSfgvMYc3jXakUZ1s
 YRRbr3yxQTZj2uZxC+//bwwzaFK9gByg5Ur/NZO3oeZ5n9UQ1wUvN5Qsx1NxKKiVu8lu
 yKauDdob5YBT+N1zX5NhvTPXAKtm4yXXrjkeKKFUBmZnxTHJZbktB2zUqX5wx9eo4bAV
 9T7w==
X-Gm-Message-State: ANhLgQ3r2asQ3uKKn4XIX30fiIxz+0GT5kYRqKBc4e6Pf0porLSY1bJG
 z630ls0LdqTAbOVLiyBgwkK/zfqx
X-Google-Smtp-Source: ADFU+vvAmTeceuVEtF+Bh6R3ZZM1NStv+g5VJtLPIo7roPWkpu6xR5jEgnqKoNEmpDuYBSwRMPw0Lw==
X-Received: by 2002:adf:ed0b:: with SMTP id a11mr8681387wro.344.1585220092032; 
 Thu, 26 Mar 2020 03:54:52 -0700 (PDT)
Received: from meru ([2a01:cb18:832e:5f00:94c5:7227:3adb:8858])
 by smtp.gmail.com with ESMTPSA id s8sm2991351wrv.97.2020.03.26.03.54.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 26 Mar 2020 03:54:51 -0700 (PDT)
References: <20200324083626.30650-1-m.othacehe@HIDDEN>
 <20200324083626.30650-2-m.othacehe@HIDDEN> <874kueniln.fsf@HIDDEN>
 <87d090nwr7.fsf@HIDDEN> <87blokgljc.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#40207] [PATCH 2/2] tests: install: Add
 %test-gui-installed-desktop-os-encrypted.
In-reply-to: <87blokgljc.fsf@HIDDEN>
Date: Thu, 26 Mar 2020 11:54:50 +0100
Message-ID: <87blojo079.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40207
Cc: 40207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hey,

> I don=E2=80=99t have a better idea though.  Perhaps it=E2=80=99s better t=
o pass an
> explicit size in =E2=80=98run-install=E2=80=99 than to modify the 25% hac=
k above?

Seems fair, fixed and pushed!

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.

Message received at 40207 <at> debbugs.gnu.org:


Received: (at 40207) by debbugs.gnu.org; 25 Mar 2020 21:41:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 25 17:41:19 2020
Received: from localhost ([127.0.0.1]:57899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHDm3-0000ud-Ds
	for submit <at> debbugs.gnu.org; Wed, 25 Mar 2020 17:41:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jHDm2-0000uR-NF
 for 40207 <at> debbugs.gnu.org; Wed, 25 Mar 2020 17:41:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49283)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jHDlx-0004DP-Ho; Wed, 25 Mar 2020 17:41:13 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35874 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jHDlw-0004KT-Tf; Wed, 25 Mar 2020 17:41:13 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: [bug#40207] [PATCH 2/2] tests: install: Add
 %test-gui-installed-desktop-os-encrypted.
References: <20200324083626.30650-1-m.othacehe@HIDDEN>
 <20200324083626.30650-2-m.othacehe@HIDDEN> <874kueniln.fsf@HIDDEN>
 <87d090nwr7.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 6 Germinal an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 25 Mar 2020 22:41:11 +0100
In-Reply-To: <87d090nwr7.fsf@HIDDEN> (Mathieu Othacehe's message of "Wed,
 25 Mar 2020 18:57:00 +0100")
Message-ID: <87blokgljc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40207
Cc: 40207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi!

Mathieu Othacehe <m.othacehe@HIDDEN> skribis:

>> What about making a separate OS definition for the desktop installation
>> case?  We=E2=80=99d move the =E2=80=98os=E2=80=99 variable to the top-le=
vel and add an =E2=80=98os=E2=80=99
>> parameter to =E2=80=98guided-installation-test=E2=80=99.
>>
>> Having two separate OS definitions (one for desktop install, one for
>> =E2=80=9Cbare-bones=E2=80=9D install) should be clearer than having a si=
ngle definition
>> with conditionals.
>
> I fixed all your remarks. But there's still an issue, the size of the
> installation image is guessed badly in "run-install" for
> "%test-gui-installed-desktop-os-encrypted"
>
> (image  (system-disk-image
>          (operating-system-with-gc-roots
>           os (list target))
>          #:disk-image-size 'guess ;guess is too low.
>          #:file-system-type
>          installation-disk-image-file-system-type)))
>
>
> applying the dirty snippet below fixes it, but you may have a better idea?
>
> --- a/gnu/build/vm.scm
> +++ b/gnu/build/vm.scm
> @@ -233,7 +233,7 @@ deduplicates files common to CLOSURE and the rest of =
PREFIX."
>    "Return the estimated size of a partition that can store the store ite=
ms
>  given by GRAPHS, a list of file names produced by #:references-graphs."
>    ;; Simply add a 25% overhead.
> -  (round (* 1.25 (closure-size graphs))))
> +  (round (* 1.30 (closure-size graphs))))

Weird, the 25% hack had always worked fine.

I don=E2=80=99t have a better idea though.  Perhaps it=E2=80=99s better to =
pass an
explicit size in =E2=80=98run-install=E2=80=99 than to modify the 25% hack =
above?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.

Message received at 40207 <at> debbugs.gnu.org:


Received: (at 40207) by debbugs.gnu.org; 25 Mar 2020 17:57:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 25 13:57:12 2020
Received: from localhost ([127.0.0.1]:57728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHAHA-00037z-34
	for submit <at> debbugs.gnu.org; Wed, 25 Mar 2020 13:57:12 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:53905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jHAH7-00037l-S1
 for 40207 <at> debbugs.gnu.org; Wed, 25 Mar 2020 13:57:10 -0400
Received: by mail-wm1-f66.google.com with SMTP id b12so3512334wmj.3
 for <40207 <at> debbugs.gnu.org>; Wed, 25 Mar 2020 10:57:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version:content-transfer-encoding;
 bh=06KJlsbU6WaHZ9pg51kASXk6qwmdcptZzjRYXUAypLc=;
 b=OuYjFDaaL6E6nUQB7IeArG5uOZ4B5fra1ke/+6j+us35z1agDDCa3vNxoWkGWG1rwe
 rIn600eAZUyeANQaEgnoBf6cbyxPdgn+5E+WJbwfbYV5zs5j1LdIZiluDPA8Xq8C6hPW
 FqGVrSSzRW1SfzJZl1zRIx0GCJImvWXL60qjAvUEID3BTDzr//9v1lvcUIWV+lIkCwZ7
 WgTjHvW48x1+eQAMln0kd20+upvQrAvDIdLn8+tanq8dQ7X6UFKg8d5uR5MoFTtZDVxW
 2Y7c7mkxDQXoYRr8iUGgK51fLVUqxEnMmwxNSH4LDM7gW6KHMI14+Cqt1QJifn1MXMTs
 7dLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-transfer-encoding;
 bh=06KJlsbU6WaHZ9pg51kASXk6qwmdcptZzjRYXUAypLc=;
 b=tdViom9/YDUP70qDdKO1vF+ISUD+E3qd4E6cNafuwPBi9U2fb83TkVo9NrebR82Pco
 583lxRMQVQni0kZsQGyj8kWFI/xyXv553NVM3N8bsOxz9UUkJ7oZziU4x8Z+jdqDIR80
 742Q/WuXyIWSd+2lisPM7zGAvQT8XqZp3Nn0aSeZx+f5/9kcXwK1uKtYea5GSl0NZKc1
 06CCUL612tFTTIyhJoO4kH2UVwj4lCpS/0ILbNPpLHgeFaTxk31HPLYAafLsulEBspEF
 SOm68Gn4zwhzu/IRk2iSdggpJHNdJ+T3KKPqmrjYVaEkrF7IN9CdWB6eyA8H31MLTgCe
 yIPw==
X-Gm-Message-State: ANhLgQ1li2T7TWCgsvc27DLX0Q2MtJM9ZawskQ3OI5TFxPhfooSWAUBo
 hggjqSB1v1oAvfJpVuuzxIK8Wu+N
X-Google-Smtp-Source: ADFU+vskGrxzxwefNKQZYYsoJNzFwIlnFiTc3rdq3QI40LdPQ/QYunz6W9iG63FVBOkZwtPu9alJGg==
X-Received: by 2002:a1c:2c41:: with SMTP id s62mr4530463wms.188.1585159022514; 
 Wed, 25 Mar 2020 10:57:02 -0700 (PDT)
Received: from meru ([2a01:cb18:832e:5f00:94c5:7227:3adb:8858])
 by smtp.gmail.com with ESMTPSA id 61sm37469999wrn.82.2020.03.25.10.57.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 25 Mar 2020 10:57:01 -0700 (PDT)
References: <20200324083626.30650-1-m.othacehe@HIDDEN>
 <20200324083626.30650-2-m.othacehe@HIDDEN> <874kueniln.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#40207] [PATCH 2/2] tests: install: Add
 %test-gui-installed-desktop-os-encrypted.
In-reply-to: <874kueniln.fsf@HIDDEN>
Date: Wed, 25 Mar 2020 18:57:00 +0100
Message-ID: <87d090nwr7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40207
Cc: 40207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hey,

> What about making a separate OS definition for the desktop installation
> case?  We=E2=80=99d move the =E2=80=98os=E2=80=99 variable to the top-lev=
el and add an =E2=80=98os=E2=80=99
> parameter to =E2=80=98guided-installation-test=E2=80=99.
>
> Having two separate OS definitions (one for desktop install, one for
> =E2=80=9Cbare-bones=E2=80=9D install) should be clearer than having a sin=
gle definition
> with conditionals.

I fixed all your remarks. But there's still an issue, the size of the
installation image is guessed badly in "run-install" for
"%test-gui-installed-desktop-os-encrypted"

--8<---------------cut here---------------start------------->8---
(image  (system-disk-image
         (operating-system-with-gc-roots
          os (list target))
         #:disk-image-size 'guess ;guess is too low.
         #:file-system-type
         installation-disk-image-file-system-type)))
--8<---------------cut here---------------end--------------->8---

applying the dirty snippet below fixes it, but you may have a better idea?

--8<---------------cut here---------------start------------->8---
--- a/gnu/build/vm.scm
+++ b/gnu/build/vm.scm
@@ -233,7 +233,7 @@ deduplicates files common to CLOSURE and the rest of PR=
EFIX."
   "Return the estimated size of a partition that can store the store items
 given by GRAPHS, a list of file names produced by #:references-graphs."
   ;; Simply add a 25% overhead.
-  (round (* 1.25 (closure-size graphs))))
+  (round (* 1.30 (closure-size graphs))))

 (define* (initialize-partition-table device partitions
--8<---------------cut here---------------end--------------->8---

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.

Message received at 40207 <at> debbugs.gnu.org:


Received: (at 40207) by debbugs.gnu.org; 24 Mar 2020 10:38:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 06:38:21 2020
Received: from localhost ([127.0.0.1]:53947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGgwv-0003P1-BA
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 06:38:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jGgwt-0003Oo-JZ
 for 40207 <at> debbugs.gnu.org; Tue, 24 Mar 2020 06:38:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45090)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jGgwo-00084w-EC; Tue, 24 Mar 2020 06:38:14 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=44482 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jGgwn-00007p-R0; Tue, 24 Mar 2020 06:38:14 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: [bug#40207] [PATCH 2/2] tests: install: Add
 %test-gui-installed-desktop-os-encrypted.
References: <20200324083626.30650-1-m.othacehe@HIDDEN>
 <20200324083626.30650-2-m.othacehe@HIDDEN>
Date: Tue, 24 Mar 2020 11:38:12 +0100
In-Reply-To: <20200324083626.30650-2-m.othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Tue, 24 Mar 2020 09:36:26 +0100")
Message-ID: <874kueniln.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40207
Cc: 40207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Mathieu Othacehe <m.othacehe@HIDDEN> skribis:

> * gnu/tests/install.scm (run-install): Make sure that the default target-=
size
> is used if #f is passed,
> (gui-test-program): add a desktop? argument, and pass it to choose-servic=
es,
> (guided-installation-test): add desktop? and target-size arguments. If
> desktop? is #t, make sure that all desktop-environments are available. Pa=
ss
> target-size to run-install call and desktop? to gui-test-program call.
> (%test-gui-installed-desktop-os-encrypted): New variable.

[...]

> -                      (target-size (* 2200 MiB)))
> +                      (target-size #f))
>    "Run SCRIPT (a shell script following the system installation procedur=
e) in
>  OS to install TARGET-OS.  Return a VM image of TARGET-SIZE bytes contain=
ing
>  the installed system.  The packages specified in PACKAGES will be append=
ed to
>  packages defined in installation-os."
>=20=20
> -  (mlet* %store-monad ((_      (set-grafting #f))
> +  (mlet* %store-monad ((target-size -> (or target-size (* 2200 MiB)))

[...]

> +(define* (guided-installation-test name
> +                                   #:key
> +                                   (desktop? #f)
> +                                   encrypted?
> +                                   (target-size #f))

What about giving #:target-size a default value here so that the hunk
above in unnecessary?

>    (define os
>      (operating-system
>        (inherit %minimal-os)
> @@ -1055,26 +1073,56 @@ build (current-guix) and then store a couple of f=
ull system images.")
>                              (supplementary-groups
>                               '("wheel" "audio" "video"))))
>                       %base-user-accounts))
> +      (keyboard-layout (and desktop?
> +                            (keyboard-layout "us" "altgr-intl")))
>        ;; The installer does not create a swap device in guided mode with
>        ;; encryption support.
>        (swap-devices (if encrypted? '() '("/dev/vdb2")))
> -      (services (cons (service dhcp-client-service-type)
> -                      (operating-system-user-services %minimal-os)))))
> +
> +      ;; Make sure that all the packages and services that may be used b=
y the
> +      ;; graphical installer are available.
> +      (packages (append
> +                 (if desktop?
> +                     (list openbox awesome i3-wm i3status
> +                           dmenu st ratpoison xterm)
> +                     '())
> +                 %base-packages))
> +      (services
> +       (if desktop?
> +           (append
> +            (list (service gnome-desktop-service-type)
> +                  (service xfce-desktop-service-type)
> +                  (service mate-desktop-service-type)
> +                  (service enlightenment-desktop-service-type)
> +                  (set-xorg-configuration
> +                   (xorg-configuration
> +                    (keyboard-layout keyboard-layout)))
> +                  (service marionette-service-type
> +                           (marionette-configuration
> +                            (imported-modules '((gnu services herd)
> +                                                (guix build utils)
> +                                                (guix combinators))))))
> +            %desktop-services)
> +           (cons (service dhcp-client-service-type)
> +                 (operating-system-user-services %minimal-os))))))

What about making a separate OS definition for the desktop installation
case?  We=E2=80=99d move the =E2=80=98os=E2=80=99 variable to the top-level=
 and add an =E2=80=98os=E2=80=99
parameter to =E2=80=98guided-installation-test=E2=80=99.

Having two separate OS definitions (one for desktop install, one for
=E2=80=9Cbare-bones=E2=80=9D install) should be clearer than having a singl=
e definition
with conditionals.

> +;; Building a desktop image is very time and space consuming. Install all
> +;; desktop environments in a single test to reduce the overhead.
> +(define %test-gui-installed-desktop-os-encrypted
> +  (guided-installation-test "gui-installed-desktop-os-encrypted"
> +                            #:desktop? #t
> +                            #:encrypted? #t
> +                            #:target-size (* 9000 MiB)))

Wo0t!

Thanks a lot for working on it!  You can stop by on #guix if you feel
like it so we=E2=80=99re all less lonely during confinement.  :-)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.

Message received at 40207 <at> debbugs.gnu.org:


Received: (at 40207) by debbugs.gnu.org; 24 Mar 2020 10:35:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 06:35:41 2020
Received: from localhost ([127.0.0.1]:53941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGguK-0003Kb-VP
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 06:35:41 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:39190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jGguI-0003KP-VE
 for 40207 <at> debbugs.gnu.org; Tue, 24 Mar 2020 06:35:39 -0400
Received: by mail-wm1-f68.google.com with SMTP id a9so2833091wmj.4
 for <40207 <at> debbugs.gnu.org>; Tue, 24 Mar 2020 03:35:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version:content-transfer-encoding;
 bh=uO2N7vKUaVpcDNWZLdmGpmCooZ8/EIEN6yD6AaiS+yA=;
 b=RPiFEqAwIAZn+fI17zQPwjx7e0dUpIEi4H9djYiq0e/41QBcBK4tyM8wE0y/9qSQ+v
 Yr24eHoGkYc/u0EZRSM3F3dZAyX2258zIZ7+z+/mqpdpbxmBjrBJvPGLjxrePUihwsom
 PfvtSRlZPjXQpbh3nwfv6PPFSsZTu/a6aeKjZiDcXA0NHRaiAnhhDuDJhJhoqtLFdg48
 +zbUTdZi2xmkB3pCDjZaFzvc2naPfegG1HSKL9Cs2/A2+6cmBWZSgrscN3w5xglVjJv5
 xTdvh3N4HPVSFRTLBaSmstZySFH33LbY58ICUb0XGalsuMkceeQ+Ei0qGgsV+gw/YF0U
 DsZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-transfer-encoding;
 bh=uO2N7vKUaVpcDNWZLdmGpmCooZ8/EIEN6yD6AaiS+yA=;
 b=kGQIQ8odhmdLCYUkrTs18F1ajyt1mvBnkZdJnu9tmFJmDsxUdymx7nYsbugAaRHwT1
 Q6HX6DSw5GYl65AvFpoUciXim8vcjemVZBiQgCJVzg2W/ZV3YR3NuL828bG1nZxwVpeB
 D0gZba+2P5uQqjh8aNYPNHHHChd8Ned2iptN8WC16OYu+v1stu/imwQe+r+AwHyCvoph
 OF2ITl+G9useF41x6aEoxLInYW28YLeCNtaJCWDG1ILbbKnotUlfWI3ERuVumIXdbIRS
 edyJc38qCM8E+nOF1l+xgRmNfr3DGETrEaHzIJfKCbnmXrlYKUaXrxvEn+nFzDPeYltb
 Of6w==
X-Gm-Message-State: ANhLgQ1nV+zrMQ92SloU8aVsuTdnbb+FBlBfen3quGY2Bc07OERzj98/
 fzPMqVhW2/waiy88ejyCw6cPzWaoZbo=
X-Google-Smtp-Source: ADFU+vsTW6uUK1KE+v5zeB/w02+tvGNQWcWafrBNlRrfqiLBRXgmMsYbFL2/cCWQiQBnzg+WBIuQEA==
X-Received: by 2002:a1c:e30b:: with SMTP id a11mr4597166wmh.7.1585046132840;
 Tue, 24 Mar 2020 03:35:32 -0700 (PDT)
Received: from meru ([2a01:cb18:832e:5f00:bcc1:cbca:a1ce:87bb])
 by smtp.gmail.com with ESMTPSA id r15sm22702036wra.19.2020.03.24.03.35.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 24 Mar 2020 03:35:32 -0700 (PDT)
References: <20200324083443.30544-1-m.othacehe@HIDDEN>
 <20200324083626.30650-1-m.othacehe@HIDDEN> <87eetiniw1.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#40207] [PATCH 1/2] installer: tests: Use a filter to select
 desktop-environments.
In-reply-to: <87eetiniw1.fsf@HIDDEN>
Date: Tue, 24 Mar 2020 11:35:31 +0100
Message-ID: <87imiuniq4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40207
Cc: 40207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hey!

> Maybe rename =E2=80=98services*=E2=80=99 to =E2=80=98desktops=E2=80=99?
>
> =E2=80=98set!=E2=80=99 hurts my eyes :-) but let=E2=80=99s get over it.  =
Eventually we can
> change convert to run expressions in =E2=80=98%state-monad=E2=80=99 or so=
mething.

Heh, also feel terribly guilty when using it :)

Thanks for reviewing,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.

Message received at 40207 <at> debbugs.gnu.org:


Received: (at 40207) by debbugs.gnu.org; 24 Mar 2020 10:32:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 06:32:07 2020
Received: from localhost ([127.0.0.1]:53932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGgqt-0003Ee-7h
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 06:32:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jGgqr-0003E4-BV
 for 40207 <at> debbugs.gnu.org; Tue, 24 Mar 2020 06:32:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45002)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jGgqm-0003uz-6K; Tue, 24 Mar 2020 06:32:00 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=44480 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jGgql-0005zj-Q7; Tue, 24 Mar 2020 06:31:59 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: [bug#40207] [PATCH 1/2] installer: tests: Use a filter to select
 desktop-environments.
References: <20200324083443.30544-1-m.othacehe@HIDDEN>
 <20200324083626.30650-1-m.othacehe@HIDDEN>
Date: Tue, 24 Mar 2020 11:31:58 +0100
In-Reply-To: <20200324083626.30650-1-m.othacehe@HIDDEN> (Mathieu Othacehe's
 message of "Tue, 24 Mar 2020 09:36:25 +0100")
Message-ID: <87eetiniw1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40207
Cc: 40207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Mathieu,

Mathieu Othacehe <m.othacehe@HIDDEN> skribis:

> * gnu/installer/tests.scm (choose-services): Turn desktop-environments li=
st
> into a choose-desktop-environment procedure. This way, it is easier to se=
lect
> all desktop-environments or none, in the same way as choose-network-servi=
ce?
> and choose-network-management-tool? arguments.

[...]

> +     (let ((services* (filter choose-desktop-environment? services)))
> +       (set! desktop-environments services*)
> +       services*))

Maybe rename =E2=80=98services*=E2=80=99 to =E2=80=98desktops=E2=80=99?

=E2=80=98set!=E2=80=99 hurts my eyes :-) but let=E2=80=99s get over it.  Ev=
entually we can
change convert to run expressions in =E2=80=98%state-monad=E2=80=99 or some=
thing.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.

Message received at 40207 <at> debbugs.gnu.org:


Received: (at 40207) by debbugs.gnu.org; 24 Mar 2020 08:36:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 04:36:42 2020
Received: from localhost ([127.0.0.1]:53857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGf3B-00005d-Lh
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 04:36:42 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:38281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jGf38-000059-2i
 for 40207 <at> debbugs.gnu.org; Tue, 24 Mar 2020 04:36:39 -0400
Received: by mail-wr1-f44.google.com with SMTP id s1so20309768wrv.5
 for <40207 <at> debbugs.gnu.org>; Tue, 24 Mar 2020 01:36:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Y7k7wNnvtEETBEaTLwJ4dUrGcDkCLDbgMv/hwOU5rr0=;
 b=cHYSRK6k1uX+WZ/XhLuLRYNHByJY10zf1/DY0LeFUMM6ae0n92CgCgJjDaDpvcjtNN
 C1WlWsC/zyepTd9Fn9LJLyxwivNP3R1UqG55rpsMYIKP9YNop+pirQGVAcKfuu3jIsOa
 n9zuAl2IKm2WTTjWeSIA2Tu2BNB6DPAMLxsIcJSzb3YwO19WWFDZD8nFibiuEWB+u/1n
 ogFj173iJoBFZpwdZ1DTPU170ZK/CtSTpUttCGesKABxHDEt9qAkQdKzdZ7zmglVqeYP
 sK5a4wNN43eSnr/CYFYturThMZiAmSbJOQD6SPSqAswT1z6Q265ahzT6/V2bvcic9ygC
 3CKQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Y7k7wNnvtEETBEaTLwJ4dUrGcDkCLDbgMv/hwOU5rr0=;
 b=D7BWgfvLKlu2MoOQkjzr1xl828lLaUtCn6Akd1rRgsM4imo3MFGtckrxzD+AHaEfvE
 9UOhQ4bPaAfGKgImlAGF1sdQia+vK9fuU9p60M5H8QXzG2gbvs01t+przh97QBhSaYEK
 mbQqpKyCcVRxsawmyQ79n/OYGfk+TD79178dNM433FYGd5F3ViTztAexETxeZk4ci/5G
 tmb+NYRW6xjB4ULlWLQt3gXBf8R546JU78pAZKaQKEdNFrmEGA9GjJhdDeSdqOKNxKxg
 4lWG72Tocz1QSmblFwPnwbJn47AA54QKZA9m0cYHC2I0/hpdTADizoX9Y25O0fp5s6Cp
 6zEg==
X-Gm-Message-State: ANhLgQ2qPbutzuWRh+MMt5zhSo3AKLKrFbrm8D4Z1p3F/cCNccIQT+pN
 eX4j+AtmYNoadSyrocrA1Pc+XbzOHY8=
X-Google-Smtp-Source: ADFU+vtUhY7lU3N3HVmft55gqjH2heIPW7N8SfHlZGJl+torEOBoDqW/dfDXiFZ3Z47N7KVQp6hoTw==
X-Received: by 2002:adf:a18c:: with SMTP id u12mr34783398wru.325.1585038992083; 
 Tue, 24 Mar 2020 01:36:32 -0700 (PDT)
Received: from meru.fronius.com ([2a01:cb18:832e:5f00:bcc1:cbca:a1ce:87bb])
 by smtp.gmail.com with ESMTPSA id a192sm3444203wme.5.2020.03.24.01.36.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 24 Mar 2020 01:36:31 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 40207 <at> debbugs.gnu.org
Subject: [PATCH 2/2] tests: install: Add
 %test-gui-installed-desktop-os-encrypted.
Date: Tue, 24 Mar 2020 09:36:26 +0100
Message-Id: <20200324083626.30650-2-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.25.1
In-Reply-To: <20200324083626.30650-1-m.othacehe@HIDDEN>
References: <20200324083626.30650-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40207
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/tests/install.scm (run-install): Make sure that the default target-size
is used if #f is passed,
(gui-test-program): add a desktop? argument, and pass it to choose-services,
(guided-installation-test): add desktop? and target-size arguments. If
desktop? is #t, make sure that all desktop-environments are available. Pass
target-size to run-install call and desktop? to gui-test-program call.
(%test-gui-installed-desktop-os-encrypted): New variable.
---
 gnu/tests/install.scm | 90 +++++++++++++++++++++++++++++++++++--------
 1 file changed, 73 insertions(+), 17 deletions(-)

diff --git a/gnu/tests/install.scm b/gnu/tests/install.scm
index 83988873c2..9a4b36d5e7 100644
--- a/gnu/tests/install.scm
+++ b/gnu/tests/install.scm
@@ -32,15 +32,23 @@
   #:use-module (gnu packages cryptsetup)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages ocr)
+  #:use-module (gnu packages openbox)
   #:use-module (gnu packages package-management)
+  #:use-module (gnu packages ratpoison)
+  #:use-module (gnu packages suckless)
   #:use-module (gnu packages virtualization)
+  #:use-module (gnu packages wm)
+  #:use-module (gnu packages xorg)
+  #:use-module (gnu services desktop)
   #:use-module (gnu services networking)
+  #:use-module (gnu services xorg)
   #:use-module (guix store)
   #:use-module (guix monads)
   #:use-module (guix packages)
   #:use-module (guix grafts)
   #:use-module (guix gexp)
   #:use-module (guix utils)
+  #:use-module (srfi srfi-1)
   #:export (%test-installed-os
             %test-installed-extlinux-os
             %test-iso-image-installer
@@ -52,7 +60,8 @@
             %test-jfs-root-os
 
             %test-gui-installed-os
-            %test-gui-installed-os-encrypted))
+            %test-gui-installed-os-encrypted
+            %test-gui-installed-desktop-os-encrypted))
 
 ;;; Commentary:
 ;;;
@@ -203,13 +212,14 @@ reboot\n")
                                                 (gnu installer tests)
                                                 (guix combinators))))
                       (installation-disk-image-file-system-type "ext4")
-                      (target-size (* 2200 MiB)))
+                      (target-size #f))
   "Run SCRIPT (a shell script following the system installation procedure) in
 OS to install TARGET-OS.  Return a VM image of TARGET-SIZE bytes containing
 the installed system.  The packages specified in PACKAGES will be appended to
 packages defined in installation-os."
 
-  (mlet* %store-monad ((_      (set-grafting #f))
+  (mlet* %store-monad ((target-size -> (or target-size (* 2200 MiB)))
+                       (_      (set-grafting #f))
                        (system (current-system))
                        (target (operating-system-derivation target-os))
 
@@ -941,7 +951,10 @@ build (current-guix) and then store a couple of full system images.")
 
 (define %root-password "foo")
 
-(define* (gui-test-program marionette #:key (encrypted? #f))
+(define* (gui-test-program marionette
+                           #:key
+                           (desktop? #f)
+                           (encrypted? #f))
   #~(let ()
       (define (screenshot file)
         (marionette-control (string-append "screendump " file)
@@ -998,7 +1011,8 @@ build (current-guix) and then store a couple of full system images.")
       (screenshot "installer-services.ppm")
 
       (marionette-eval* '(choose-services installer-socket
-                                          #:desktop-environments '()
+                                          #:choose-desktop-environment?
+                                          (const #$desktop?)
                                           #:choose-network-service?
                                           (const #f))
                         #$marionette)
@@ -1038,7 +1052,11 @@ build (current-guix) and then store a couple of full system images.")
                         (gnu installer tests)
                         (guix combinators))))
 
-(define* (guided-installation-test name #:key encrypted?)
+(define* (guided-installation-test name
+                                   #:key
+                                   (desktop? #f)
+                                   encrypted?
+                                   (target-size #f))
   (define os
     (operating-system
       (inherit %minimal-os)
@@ -1055,26 +1073,56 @@ build (current-guix) and then store a couple of full system images.")
                             (supplementary-groups
                              '("wheel" "audio" "video"))))
                      %base-user-accounts))
+      (keyboard-layout (and desktop?
+                            (keyboard-layout "us" "altgr-intl")))
       ;; The installer does not create a swap device in guided mode with
       ;; encryption support.
       (swap-devices (if encrypted? '() '("/dev/vdb2")))
-      (services (cons (service dhcp-client-service-type)
-                      (operating-system-user-services %minimal-os)))))
+
+      ;; Make sure that all the packages and services that may be used by the
+      ;; graphical installer are available.
+      (packages (append
+                 (if desktop?
+                     (list openbox awesome i3-wm i3status
+                           dmenu st ratpoison xterm)
+                     '())
+                 %base-packages))
+      (services
+       (if desktop?
+           (append
+            (list (service gnome-desktop-service-type)
+                  (service xfce-desktop-service-type)
+                  (service mate-desktop-service-type)
+                  (service enlightenment-desktop-service-type)
+                  (set-xorg-configuration
+                   (xorg-configuration
+                    (keyboard-layout keyboard-layout)))
+                  (service marionette-service-type
+                           (marionette-configuration
+                            (imported-modules '((gnu services herd)
+                                                (guix build utils)
+                                                (guix combinators))))))
+            %desktop-services)
+           (cons (service dhcp-client-service-type)
+                 (operating-system-user-services %minimal-os))))))
 
   (system-test
    (name name)
    (description
     "Install an OS using the graphical installer and test it.")
    (value
-    (mlet* %store-monad ((image   (run-install os '(this is unused)
-                                               #:script #f
-                                               #:os installation-os-for-gui-tests
-                                               #:gui-test
-                                               (lambda (marionette)
-                                                 (gui-test-program
-                                                  marionette
-                                                  #:encrypted? encrypted?))))
-                         (command (qemu-command/writable-image image)))
+    (mlet* %store-monad
+        ((image   (run-install os '(this is unused)
+                               #:script #f
+                               #:os installation-os-for-gui-tests
+                               #:target-size target-size
+                               #:gui-test
+                               (lambda (marionette)
+                                 (gui-test-program
+                                  marionette
+                                  #:desktop? desktop?
+                                  #:encrypted? encrypted?))))
+         (command (qemu-command/writable-image image)))
       (run-basic-test os command name
                       #:initialization (and encrypted? enter-luks-passphrase)
                       #:root-password %root-password)))))
@@ -1087,4 +1135,12 @@ build (current-guix) and then store a couple of full system images.")
   (guided-installation-test "gui-installed-os-encrypted"
                             #:encrypted? #t))
 
+;; Building a desktop image is very time and space consuming. Install all
+;; desktop environments in a single test to reduce the overhead.
+(define %test-gui-installed-desktop-os-encrypted
+  (guided-installation-test "gui-installed-desktop-os-encrypted"
+                            #:desktop? #t
+                            #:encrypted? #t
+                            #:target-size (* 9000 MiB)))
+
 ;;; install.scm ends here
-- 
2.25.1





Information forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.

Message received at 40207 <at> debbugs.gnu.org:


Received: (at 40207) by debbugs.gnu.org; 24 Mar 2020 08:36:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 04:36:39 2020
Received: from localhost ([127.0.0.1]:53855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGf39-00005T-Cs
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 04:36:39 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:42187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jGf37-000058-Cs
 for 40207 <at> debbugs.gnu.org; Tue, 24 Mar 2020 04:36:37 -0400
Received: by mail-wr1-f47.google.com with SMTP id h15so8089720wrx.9
 for <40207 <at> debbugs.gnu.org>; Tue, 24 Mar 2020 01:36:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=nP8Ryp+mG2D+5fKrlwoocZ3P7m45KqbnwPaOqIThRPc=;
 b=MgV2yAqswRKN/UVxs0dl/7Hhxc6gi0H2L4LUgAvMXz90Jv+0CqAaX6bHlpbAMwxbTf
 aljw1ekHyReF6/dfk4n5z7IXtw4r7nH85lgsK8NBhEDXlDKGUmMk6IvGo7ih/V0cfuMn
 p1Wu5BEYTOtq/vvZ6G+PCUbAo5opkVOhWT/Qzz2EHKQZFd/GEKcDvd9jAGBm+bx4vGdO
 tXsFItttkhp3Zx8BiAze6MkNXRlNRwbesGEeik3nNwAqnMTKiaBVwKeYYCsgFAq7cIVX
 EWTttky3m5+uOM8S8dR00z+48jXx6eUdUgVjFKTMSMY8+Tejj+TwjdLisDAUFHzMuBBK
 LSuw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=nP8Ryp+mG2D+5fKrlwoocZ3P7m45KqbnwPaOqIThRPc=;
 b=q8SpHDb9Bfsk8zT3f66Q0GelHZQ+tBNvjLLBgZUkfrFHJNrJkGf4RBHXTkctGKCYRA
 Dk6wzJZxDW4o0WUVfcA7pbtdr4892bcBz+TIF2y0E1c/kyHW8xRr/dm1BS+MfDh2AIfS
 et2oeLJB5FOjbKT0uw3DedO+a7X1KfC9dkIyNVfwNGl1cZyu8n2ubZCpqYRcxtK3/mQe
 s64HyW35hh69/4hfhdplUWQ9yoWMMthAXobWtoD1ZQeMHwJJ1+roPL88hijYQBissMTu
 boOXIoP8z/RLrLuHqJaOz01Jb/1h3dxBcyydyENPZgDIgYJLOJ+g6P4Iuzk55Wwv667+
 Dh1Q==
X-Gm-Message-State: ANhLgQ3VWU1fUSULcT8mffN9gJ6nXEyl2HXVe7+5HM1m7vZmo3G79nSj
 GcbAYdqhJPJhZo2qaTIkX2oBr1/JGTs=
X-Google-Smtp-Source: ADFU+vszLu/ZUAp2wo8Ym1viQPQPOatI66WCjHPww/3cZzZ/e5P9JVC1RPnBBVLiyD+95qbcWQCDPg==
X-Received: by 2002:a05:6000:48:: with SMTP id
 k8mr14628038wrx.91.1585038991257; 
 Tue, 24 Mar 2020 01:36:31 -0700 (PDT)
Received: from meru.fronius.com ([2a01:cb18:832e:5f00:bcc1:cbca:a1ce:87bb])
 by smtp.gmail.com with ESMTPSA id a192sm3444203wme.5.2020.03.24.01.36.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 24 Mar 2020 01:36:30 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 40207 <at> debbugs.gnu.org
Subject: [PATCH 1/2] installer: tests: Use a filter to select
 desktop-environments.
Date: Tue, 24 Mar 2020 09:36:25 +0100
Message-Id: <20200324083626.30650-1-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.25.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40207
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/installer/tests.scm (choose-services): Turn desktop-environments list
into a choose-desktop-environment procedure. This way, it is easier to select
all desktop-environments or none, in the same way as choose-network-service?
and choose-network-management-tool? arguments.
---
 gnu/installer/tests.scm | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/gnu/installer/tests.scm b/gnu/installer/tests.scm
index 6f5393e3ab..07f3121083 100644
--- a/gnu/installer/tests.scm
+++ b/gnu/installer/tests.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2020 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2020 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -211,7 +212,7 @@ ROOT-PASSWORD, and USERS."
 
 (define* (choose-services port
                           #:key
-                          (desktop-environments '("GNOME"))
+                          (choose-desktop-environment? (const #f))
                           (choose-network-service?
                            (lambda (service)
                              (or (string-contains service "SSH")
@@ -220,10 +221,14 @@ ROOT-PASSWORD, and USERS."
                            (lambda (service)
                              (string-contains service "DHCP"))))
   "Converse over PORT to choose networking services."
+  (define desktop-environments '())
+
   (converse port
     ((checkbox-list (title "Desktop environment") (text _)
-                    (items _))
-     desktop-environments)
+                    (items ,services))
+     (let ((services* (filter choose-desktop-environment? services)))
+       (set! desktop-environments services*)
+       services*))
     ((checkbox-list (title "Network service") (text _)
                     (items ,services))
      (filter choose-network-service? services))
-- 
2.25.1





Information forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Mar 2020 08:34:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 04:34:58 2020
Received: from localhost ([127.0.0.1]:53849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGf1V-0008TS-FQ
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 04:34:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:41053)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jGf1T-0008TK-JK
 for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 04:34:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37681)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <m.othacehe@HIDDEN>) id 1jGf1S-0005Zs-EK
 for guix-patches@HIDDEN; Tue, 24 Mar 2020 04:34:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <m.othacehe@HIDDEN>) id 1jGf1O-0002KU-Go
 for guix-patches@HIDDEN; Tue, 24 Mar 2020 04:34:54 -0400
Received: from mail-wm1-x32c.google.com ([2a00:1450:4864:20::32c]:54444)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <m.othacehe@HIDDEN>)
 id 1jGf1O-0002KE-9D
 for guix-patches@HIDDEN; Tue, 24 Mar 2020 04:34:50 -0400
Received: by mail-wm1-x32c.google.com with SMTP id c81so2210848wmd.4
 for <guix-patches@HIDDEN>; Tue, 24 Mar 2020 01:34:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=DgH+U8NfHqYcwTElit/XNtRGmfbIHm7Wpgxd1UntUwY=;
 b=jJmXN2cOvSO/j0moi4DFixgk1SnzHaJU0U8WTrioQCB9kO3ekRwJPy2eAtAePD5TNu
 JhFF/FBuAp/5Bhv20vbAZFDvJoo2gxDJZ8/MlvEyUHKtLmjSPrDIlM5MSBHDCtbD1kDQ
 mSCcYwmgRCyb5mCfdv/Qi2ZqKDp+wA8sTsTxkf5e7EFkR9KzirTqdQXND0iAIqdsjGP9
 94MbuOtjR+jiON4OPdLnpMDl1MRCwjED5JiNZPdik4qaPy2WB5AaiLNZ7NPJBuzuH7m5
 8FrV6KY6nAohwy5BXymgBJ0i0xI+2CEP3Te1rhm+F5FfEOmcVd23npukqhE/a/4f3n8N
 Bhtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=DgH+U8NfHqYcwTElit/XNtRGmfbIHm7Wpgxd1UntUwY=;
 b=uIEYERVICL6dwCJFFBn/E9TMW8CZhSTM7VFAmHVIauVfampr2Xv7Ewm07hJTdEax9a
 itgiQ7n0mWylL6S5pEd7qeoPiq+ZCylGgfaveJ2wewOZa6GweIur7rkOe2z8+gRuHC/x
 m3leV7alF4+C89lTfvgTBXyrpsX44wXfm8P292NR4qFokn/stZVTZqm/zwvBW5fKh9Kz
 gHUzEuTC44tsELK1GyDnPJRGD05zKUdPOfKYMxr31Ng2/3E4PJHErKWEzUdrPyy76j+2
 9hHgFlDK+jda72BuEY9ewqWVpusi0qGWRRJuwhVvNf5vLn566D8Ww55aQLdcuac8U0e+
 41Jw==
X-Gm-Message-State: ANhLgQ3KFKcAxK9RU6k+oAFsdzQLD4eDWuwOyeDGeS9RKFYjavzsNlX+
 oAHr/ElUixg9hTYw+fWrXPP4JRJM
X-Google-Smtp-Source: ADFU+vtm6uZKfwJvfmgK2LWr9EuPdnQ9PCS1LZ7GCCYgkfDVekppB5zLurdniE7CgE/h138OAJnjPA==
X-Received: by 2002:a7b:c75a:: with SMTP id w26mr4101608wmk.2.1585038888868;
 Tue, 24 Mar 2020 01:34:48 -0700 (PDT)
Received: from meru.fronius.com ([2a01:cb18:832e:5f00:bcc1:cbca:a1ce:87bb])
 by smtp.gmail.com with ESMTPSA id f9sm27841623wrc.71.2020.03.24.01.34.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 24 Mar 2020 01:34:48 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] Add a desktop graphical installer test.
Date: Tue, 24 Mar 2020 09:34:43 +0100
Message-Id: <20200324083443.30544-1-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.25.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::32c
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hello,

Here are two patches that allow testing the graphical installation of a Guix
System with all desktop-environments included.

Thanks,

Mathieu

Mathieu Othacehe (2):
  installer: tests: Use a filter to select desktop-environments.
  tests: install: Add %test-gui-installed-desktop-os-encrypted.

 gnu/installer/tests.scm | 11 +++--
 gnu/tests/install.scm   | 90 +++++++++++++++++++++++++++++++++--------
 2 files changed, 81 insertions(+), 20 deletions(-)

-- 
2.25.1





Acknowledgement sent to Mathieu Othacehe <m.othacehe@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#40207; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 28 Mar 2020 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.